Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SegmentTermVector Class Reference

`#include <SegmentTermVector.h>`

Inheritance diagram for Lucene::SegmentTermVector:

## Public Member Functions

| SegmentTermVector (const String &field, Collection< String > terms, Collection< int32_t > termFreqs)
virtual | ~SegmentTermVector ()
virtual String | getClassName ()
boost::shared_ptr< SegmentTermVector > | shared_from_this ()
virtual String | getField ()
virtual String | toString ()
| Returns a string representation of the object. More...
virtual int32_t | size ()
virtual Collection< String > | getTerms ()
virtual Collection< int32_t > | getTermFrequencies ()
virtual int32_t | indexOf (const String &term)
| Return an index in the term numbers array returned from getTerms at which the term with the specified term appears. More...
virtual Collection< int32_t > | indexesOf (Collection< String > termNumbers, int32_t start, int32_t length)
| Just like indexOf(int) but searches for a number of terms at the same time. More...
Public Member Functions inherited from Lucene::TermPositionVector
virtual | ~TermPositionVector ()
virtual Collection< int32_t > | getTermPositions (int32_t index)
| Returns an array of positions in which the term is found. Terms are identified by the index at which its number appears in the term String array obtained from the indexOf method. May return null if positions have not been stored. More...
virtual Collection< TermVectorOffsetInfoPtr > | getOffsets (int32_t index)
| Returns an array of TermVectorOffsetInfo in which the term is found. May return null if offsets have not been stored. More...
Public Member Functions inherited from Lucene::TermFreqVector
virtual | ~TermFreqVector ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermPositionVector
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermFreqVector
static String | _getClassName ()

## Protected Attributes

String | field
Collection< String > | terms
Collection< int32_t > | termFreqs
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::TermPositionVector
| TermPositionVector ()
Protected Member Functions inherited from Lucene::TermFreqVector
| TermFreqVector ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ SegmentTermVector()

Lucene::SegmentTermVector::SegmentTermVector | ( | const String & | field,
|  | Collection< String > | terms,
|  | Collection< int32_t > | termFreqs
| ) |  |

## ◆ ~SegmentTermVector()

virtual Lucene::SegmentTermVector::~SegmentTermVector | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentTermVector::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::SegmentTermVector::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermPositionVector.

Reimplemented in Lucene::SegmentTermPositionVector.

## ◆ getField()

virtual String Lucene::SegmentTermVector::getField | ( |  | ) |

virtual

Returns
  The number of the field this vector is associated with

Reimplemented from Lucene::TermFreqVector.

## ◆ getTermFrequencies()

virtual Collection<int32_t> Lucene::SegmentTermVector::getTermFrequencies | ( |  | ) |

virtual

Returns
  Array of term frequencies.

Reimplemented from Lucene::TermFreqVector.

## ◆ getTerms()

virtual Collection<String> Lucene::SegmentTermVector::getTerms | ( |  | ) |

virtual

Returns
  An Array of term texts in ascending order.

Reimplemented from Lucene::TermFreqVector.

## ◆ indexesOf()

virtual Collection<int32_t> Lucene::SegmentTermVector::indexesOf | ( | Collection< String > | termNumbers,
|  | int32_t | start,
|  | int32_t | length
| ) |  |

virtual

Just like indexOf(int) but searches for a number of terms at the same time.

Reimplemented from Lucene::TermFreqVector.

## ◆ indexOf()

virtual int32_t Lucene::SegmentTermVector::indexOf | ( | const String & | term | ) |

virtual

Return an index in the term numbers array returned from getTerms at which the term with the specified term appears.

Reimplemented from Lucene::TermFreqVector.

## ◆ shared_from_this()

boost::shared_ptr< SegmentTermVector > Lucene::SegmentTermVector::shared_from_this | ( |  | ) |

inline

## ◆ size()

virtual int32_t Lucene::SegmentTermVector::size | ( |  | ) |

virtual

Returns
  The number of terms in the term vector.

Reimplemented from Lucene::TermFreqVector.

## ◆ toString()

virtual String Lucene::SegmentTermVector::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

## ◆ field

String Lucene::SegmentTermVector::field

protected

## ◆ termFreqs

Collection<int32_t> Lucene::SegmentTermVector::termFreqs

protected

## ◆ terms

Collection<String> Lucene::SegmentTermVector::terms

protected

The documentation for this class was generated from the following file:

- SegmentTermVector.h

clucene.sourceforge.net